<template>
  <div class="q-pa-md">
    <q-table
      flat
      bordered
      title="To Do List"
      :rows="rows"
      :columns="headers"
      row-key="title"
      separator="none"
    >
      <!-- <template v-slot:body="props">
          <q-tr :props="props">
            <q-td key="title" :props="props" v-for="(header, header_index) in rows" :key="header_index"
>
              {{ props.row.title }}
            </q-td>
            
          </q-tr>
        </template> -->
    </q-table>
  </div>
</template>

<script>
import { ref } from "vue";

export default {
  props: {
    headers: {
      type: Array,
      required: true,
    },
    rows: {
      type: Array,
      required: true,
    },
  },
  setup() {
    return {};
  },
};
</script>
